Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2816743006: [Mac] Fullscreen Touch Bar Support (Closed)

Created:
7 months, 1 week ago by spqchan
Modified:
6 months, 3 weeks ago
Reviewers:
Robert Sesek
CC:
chromium-reviews, srahim+watch_chromium.org, mac-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Mac] Fullscreen Touch Bar Support When in tab fullscreen, replace the ESC button with "Exit Fullscreen" and display the origin URL of the tab content in the Touch Bar. A test for this is added in BrowserTouchBarUnitTest BUG=690611 Review-Url: https://codereview.chromium.org/2816743006 Cr-Commit-Position: refs/heads/master@{#468099} Committed: https://chromium.googlesource.com/chromium/src/+/b6d37d2e75d890832ab6f473eba2283c74468fb5

Patch Set 1 #

Patch Set 2 : nit #

Patch Set 3 : Fixed tests #

Patch Set 4 : Added origin label #

Patch Set 5 : Rebased #

Total comments: 15

Patch Set 6 : Fixes for rsesek #

Patch Set 7 : Added a comment #

Patch Set 8 : Moved ScopedFeatureList #

Unified diffs Side-by-side diffs Delta from patch set Stats (+174 lines, -39 lines) Patch
M base/mac/sdk_forward_declarations.h View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/app/generated_resources.grd View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller_private.mm View 1 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_touch_bar.h View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_touch_bar.mm View 1 2 3 4 5 10 chunks +62 lines, -11 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm View 1 2 3 4 5 6 7 1 chunk +87 lines, -28 lines 0 comments Download
M ui/base/cocoa/touch_bar_forward_declarations.h View 1 2 3 4 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 49 (41 generated)
spqchan
PTAL
6 months, 3 weeks ago (2017-04-27 17:10:46 UTC) #29
Robert Sesek
https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar.mm File chrome/browser/ui/cocoa/browser_window_touch_bar.mm (right): https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar.mm#newcode229 chrome/browser/ui/cocoa/browser_window_touch_bar.mm:229: if ([bwc_ isFullscreenForTabContentOrExtension]) { Comment above this line to ...
6 months, 3 weeks ago (2017-04-27 19:05:51 UTC) #33
spqchan
PTAL https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar.mm File chrome/browser/ui/cocoa/browser_window_touch_bar.mm (right): https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar.mm#newcode229 chrome/browser/ui/cocoa/browser_window_touch_bar.mm:229: if ([bwc_ isFullscreenForTabContentOrExtension]) { On 2017/04/27 19:05:51, Robert ...
6 months, 3 weeks ago (2017-04-28 16:36:04 UTC) #38
Robert Sesek
LGTM https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm File chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm (right): https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm#newcode61 chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm:61: base::test::ScopedFeatureList feature_list; On 2017/04/28 16:36:04, spqchan wrote: > ...
6 months, 3 weeks ago (2017-04-28 17:18:04 UTC) #41
spqchan
On 2017/04/28 17:18:04, Robert Sesek wrote: > LGTM > > https://codereview.chromium.org/2816743006/diff/140001/chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm > File chrome/browser/ui/cocoa/browser_window_touch_bar_unittest.mm (right): ...
6 months, 3 weeks ago (2017-04-28 18:26:10 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2816743006/200001
6 months, 3 weeks ago (2017-04-28 18:27:33 UTC) #45
commit-bot: I haz the power
Committed patchset #8 (id:200001) as https://chromium.googlesource.com/chromium/src/+/b6d37d2e75d890832ab6f473eba2283c74468fb5
6 months, 3 weeks ago (2017-04-28 19:51:58 UTC) #48
spqchan
6 months, 1 week ago (2017-05-12 19:53:26 UTC) #49
Message was sent while issue was closed.
A revert of this CL (patchset #8 id:200001) has been created in
https://codereview.chromium.org/2875293003/ by spqchan@chromium.org.

The reason for reverting is: Potentially caused a crash: crbug.com/717922.

Powered by Google App Engine
This is Rietveld efc10ee0f